using System;
using SC = System.Collections;
using CFG = System.Configuration.ConfigurationSettings;

namespace BankCustomerApp
{

	public class Globals
	{
		public static SC.ArrayList     Customers;
		public static readonly bool    Trace;

		/// <summary>
		/// Constructor to initialize globals (called automatically upon first use of class)
		/// </summary>
		static Globals()
		{
			Customers  = new SC.ArrayList();

			try  // to read trace setting
			{
				Trace = System.Convert.ToBoolean( CFG.AppSettings["Tracing"] );
			}
			catch 
			{
				Trace = false;
			}
		}

	}//class
}//namespace
