using System;
using SC = System.Collections;
using CFG = System.Configuration.ConfigurationSettings;

namespace BankCustomerApp
{

	public class Globals
	{
		public static BusinessTier.BankCustomers  BTCustomers;
		public static SC.ArrayList                Customers;
		public static readonly bool               Trace;

		/// <summary>
		/// Constructor to initialize globals (called automatically upon first use of class)
		/// </summary>
		static Globals()
		{
			// create business tier object and input customers...
			BTCustomers = new BusinessTier.BankCustomers();
			Customers   = BTCustomers.Get();

			try  // to read trace setting
			{
				Trace = System.Convert.ToBoolean( CFG.AppSettings["Tracing"] );
			}
			catch 
			{
				Trace = false;
			}
		}

	}//class
}//namespace
